# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "meio-connect"
version = "0.84.2"
authors = ["Denis Kolodin <deniskolodin@gmail.com>", "overfloat <rillrate@gmail.com>"]
description = "Set of connectors for MEIO framework"
homepage = "https://github.com/rate-technology/meio"
documentation = "https://docs.rs/meio-connect/"
readme = "README.md"
keywords = ["async", "actors"]
categories = ["concurrency"]
license = "MIT/Apache-2.0"
repository = "https://github.com/rate-technology/meio"
[dependencies.anyhow]
version = "1.0.39"

[dependencies.async-trait]
version = "0.1.48"

[dependencies.derive_more]
version = "0.99.13"

[dependencies.futures]
version = "0.3.13"

[dependencies.headers]
version = "0.3.4"

[dependencies.hyper]
version = "0.14.4"
features = ["full"]

[dependencies.log]
version = "0.4.14"

[dependencies.meio]
version = "0.84.2"

[dependencies.meio-protocol]
version = "0.84.2"

[dependencies.serde]
version = "1.0.124"

[dependencies.serde_qs]
version = "0.8.3"

[dependencies.slab]
version = "0.4.2"

[dependencies.thiserror]
version = "1.0.24"

[dependencies.tokio]
version = "1.4.0"

[dependencies.tokio-tungstenite]
version = "0.14.0"

[dependencies.tungstenite]
version = "0.13.0"
default-features = false
[dev-dependencies.serde]
version = "1.0.124"
features = ["derive"]
